### Method

# AppStream ComponentBox index_safe

#### Declaration [src]

    AsComponent*
    as_component_box_index_safe (
      AsComponentBox* cbox,
      guint index
    )

#### Description [src]

Retrieve a component at the respective index from the internal component array.

#### Parameters

`index`

  Type: `guint`

  The component index.

#### Return value

Type: `AsComponent`

An `AsComponent` or `NULL`.

The returned data is owned by the instance.